image:
  repository: registry.gitlab.com/pleio/avg
  pullPolicy: IfNotPresent
  # Overridden by Gitlab pipeline
  tag: latest

service:
  type: ClusterIP
  port: 80

# -- Refer to an existing secret to avoid managing secrets through Helm.
existingSecret: null

# -- A boolean value indicating whether to use an automatically obtained LetsEncrypt certificate for TLS.
useLetsEncryptCertificate: false
# -- The name of the K8S secret containing the key pair for the wildcard certificate used. To obtain a LetsEncrypt certificate, set to a name not associated to any secret to allow cert-manager to request a certificate.
wildcardTlsSecretName: ""

domain: avg.foobar.tld

rollingUpdate:
  maxUnavailable: 0
  maxSurge: 1

config:
  secretkey:
  allowedhost:

  oauth:
    clientId:
    clientSecret:
    url:

  database:
    name:
    host:
    username:
    password:

  email:
    host:
    port:
    user:
    password:
    from:
